_

Jak usunąć hatch w blokach w podkładach z archicad

Forum poświęcone flagowemu produktowi oraz aplikacjom pochodnym Autodesku. To jedyne forum mające w tytule nazwę programu, a to ze względu na jego olbrzymią popularność w Polsce. Można tutaj umieszczać również posty z ogólnie pojętej tematyki "Kreślarskie 2D".

Jak usunąć hatch w blokach w podkładach z archicad

Postprzez notdot » sty 22, 2019 19:09

pomocy
dostaję od architekta podkłady zrobione w (chyba) archicadzie i niestety ale gość ma porobione pełno bloków a w tych blokach kreskowanie (hatch) solidem
u mnie to się będzie drukowało na czarno ewentualnie szaro, ale i tak będzie z tego jedna wielka plama

ma ktoś pomysł jak to hurtem usunąć, jakiś lisp czy coś (AC 2017 pełny)
bo przeklikiwanie każdego bloku, to strata czasu

a generalnie archicad mu wypluł tak, że np. ściana to jest ileś tam bloków poszatkowanych na kawałki każdy z inną nazwą, do tego wszystko na jednej warstwie i obrys ścian i wypełnienie hatchem, więc zamrożenie warstwy powoduje błąd bo się nie wyświetla nic
tak samo wyposażenie typu sedes, stolik, drzwi, okna, ściany, opisy do drzwi, opisy osi rysunkowych

krew mnie zalewa tym bardziej że podkłady będą się jeszcze zmieniać więc nie mam ochoty siedzieć dziś x godzin żeby to wyczyścić a za tydzień znów na nowym podkładzie to samo

pomocy
Avatar użytkownika
notdot
 
Posty: 301
Dołączył(a): sty 08, 2013 13:50
Lokalizacja: Kraków

Re: Jak usunąć hatch w blokach w podkładach z archicad

Postprzez asa » sty 22, 2019 19:39

notdot napisał(a):pomocy
dostaję od architekta podkłady zrobione w (chyba) archicadzie i niestety ale gość ma porobione pełno bloków a w tych blokach kreskowanie (hatch) solidem
u mnie to się będzie drukowało na czarno ewentualnie szaro, ale i tak będzie z tego jedna wielka plama

ma ktoś pomysł jak to hurtem usunąć, jakiś lisp czy coś (AC 2017 pełny)
bo przeklikiwanie każdego bloku, to strata czasu

a generalnie archicad mu wypluł tak, że np. ściana to jest ileś tam bloków poszatkowanych na kawałki każdy z inną nazwą, do tego wszystko na jednej warstwie i obrys ścian i wypełnienie hatchem, więc zamrożenie warstwy powoduje błąd bo się nie wyświetla nic
tak samo wyposażenie typu sedes, stolik, drzwi, okna, ściany, opisy do drzwi, opisy osi rysunkowych

krew mnie zalewa tym bardziej że podkłady będą się jeszcze zmieniać więc nie mam ochoty siedzieć dziś x godzin żeby to wyczyścić a za tydzień znów na nowym podkładzie to samo

pomocy

Wrzuć kilka bloczków bo nie wiadomo czy to czasem nie jest blok w bloku i ... coś takiego już widziałem.
Jak tylko bloki z wewnętrznym kreskowaniem to coś znajdzie się
Pozdrawiam ciepło
asa
asa
 
Posty: 580
Dołączył(a): lut 18, 2007 20:01

Re: Jak usunąć hatch w blokach w podkładach z archicad

Postprzez akor » sty 22, 2019 20:04

Kiedyś koleżanka prosiła mnie o rozwiązanie podobnego problemu, zapis do DWG z Archicada. Poszperałem, pogrzebałem i zadziałało.
Kod: Zaznacz cały
;; 10/3/2005 Delete raster wipeouts in block definitions.
(defun c:DBW:deleteBlockWipeouts ( / cnt blocks flag)
(setq cnt 0)
(setq blocks
(vla-get-blocks
(vla-get-activedocument
(vlax-get-acad-object))))
(vlax-for x blocks
(if
(and
(not (wcmatch (strcase (vlax-get x 'Name)) "*MODEL*,*PAPER*,*|*"))
(= :vlax-false (vla-get-IsXRef x))
)
(vlax-for item x
(if (= "AcDbWipeout" (vlax-get item 'ObjectName))
(if (not (vl-catch-all-error-p
(vl-catch-all-apply 'vla-delete (list item))))
(setq cnt (1+ cnt))
(setq flag T)
)
)
)
)
)
(princ (strcat "\nNumber of wipeouts deleted: " (itoa cnt)))
(if flag
(princ "\nSome items could not be deleted. Check for locked layers. ")
)
(princ)
) ;end

Nie pamiętam gdzie to znalazłem więc Autorowi nie mogę podziękować ani Go wymienić.
akor
akor
 
Posty: 603
Dołączył(a): cze 25, 2010 21:17

Re: Jak usunąć hatch w blokach w podkładach z archicad

Postprzez akor » sty 23, 2019 13:42

akor
 
Posty: 603
Dołączył(a): cze 25, 2010 21:17

Re: Jak usunąć hatch w blokach w podkładach z archicad

Postprzez asa » sty 23, 2019 19:39

Przy wieczornej kawie upisałem takie oto:
Kod: Zaznacz cały
(defun c:kresk_bl_warstwa (/ i sel lista lista_zag)
(setq nazwa_warstwy "" i 0 sel nil lista nil)
(while(=""(setq nazwa_warstwy (getstring t "\nPodaj nazwe warstwy gdzie wrzucamy kreskowania"))))
(if (null(tblsearch "layer" nazwa_warstwy ))
(vla-add(vla-get-layers(vla-get-activedocument(vlax-get-acad-object)))nazwa_warstwy))

(repeat (sslength (setq sel(ssget '((0 . "INSERT")))))
  (setq lista(append lista (list(vlax-ename->vla-object(ssname sel i))))) (setq i (1+ i)))
(setq sel(mapcar '(lambda(el)(vla-get-name el)) lista))

(defun kres_do_war (sel nazwa_warstwy / lista_zag)
(setq lista_zag nil)
(vlax-for el (vla-get-blocks(vla-get-activedocument(vlax-get-acad-object)))
(if (member (vla-get-name el) sel)(progn
(vlax-for el1 el
(cond
((=(vla-get-objectname el1) "AcDbHatch") (vla-put-layer el1 nazwa_warstwy))
((=(vla-get-objectname el1) "AcDbBlockReference") (setq lista_zag(append lista_zag (list el1))))
(t nil)) )
))  )
(if lista_zag(mapcar '(lambda(el) (vla-get-name el)) lista_zag) nil) );;

(setq sel(kres_do_war sel nazwa_warstwy) )
(while sel (setq sel(kres_do_war sel nazwa_warstwy) ))
(vla-regen (vla-get-activedocument(vlax-get-acad-object)) acActiveViewport)
)

co robi tak:
1.gif
1.gif (999.14 KiB) Przeglądane 229 razy

Jak się tym bawić? Wybieramy zakres z blokami, podajemy nazwę warstwy do której ma "wrzucić" kreskowania i pozamiatane.
Jak Ci bardziej pasuje bez wybierania to ssget popraw na x. Nie kasowałem hatch'ów blokach, jak Ci wygodniej skasować to
(vla-erase el1) zamiast (vla-put-layer el1 nazwa_warstwy)).
Dłubie też zagnieżdżone bloki a oto mi się rozchodziło najbardziej, bo ... archidziady -przepraszam mowa nienawiści już się poprawiam - nowocześni architekci co to używają archikada do wizualizacji swoich wyobrażeń jak ma wyglądać budynek, swoimi zabawkami potrafią stworzyć "potwora" warstwowo-blokowo-kolorowo-udziwnionego.
pozdrawia ciepło
asa
P.S.
Jakby Twoja walka z podkładami potrzebowała jeszcze jakiegoś oręża, to coś się ta wystuka przy odrobinie czasu ;)
Załączniki
dłubanie z bloków.LSP
tu kilka linijek
(1.19 KiB) Pobrane 16 razy
dłubanie test.dwg
na tym testowałem
(341.77 KiB) Pobrane 12 razy
asa
 
Posty: 580
Dołączył(a): lut 18, 2007 20:01

Re: Jak usunąć hatch w blokach w podkładach z archicad

Postprzez notdot » sty 23, 2019 22:31

asa napisał(a):Wrzuć kilka bloczków bo nie wiadomo czy to czasem nie jest blok w bloku i ... coś takiego już widziałem.
Jak tylko bloki z wewnętrznym kreskowaniem to coś znajdzie się
Pozdrawiam ciepło
asa

no właśnie niektóre to blok w bloku
generalnie dzięki
dziś rano walczyłem tak, że przez szybki wybór wszystkie bloki potem burst i tak do skutku a potem szybki wybór wszystkie kreskowania
dawało radę tylko wszystko rozbite :D
jutro potestuję propozycje i zobaczymy co to da
niestety coraz więcej takich "udanych" architektów spotykam, nie wiem czy to brak czasu, czy ogólne olewanie sprawy i niech się inni męczą czy jedno i drugie, ale coraz mniej podkładów dostaję które są "używalne" i nie zwiększają ilości siwych włosów u branżystów :wink:
Avatar użytkownika
notdot
 
Posty: 301
Dołączył(a): sty 08, 2013 13:50
Lokalizacja: Kraków

Re: Jak usunąć hatch w blokach w podkładach z archicad

Postprzez akor » sty 24, 2019 00:05

"nad horyzontem błyska się i słychać szczęk" BIMu
niestety coraz więcej takich "udanych" architektów spotykam

Oni próbują, i całe szczęście, używać czegoś czego większość z nas też będzie używać.
Branżyści też, bez względu na to czy się to im podoba czy nie.
akor
akor
 
Posty: 603
Dołączył(a): cze 25, 2010 21:17

Re: Jak usunąć hatch w blokach w podkładach z archicad

Postprzez asa » sty 24, 2019 08:30

akor napisał(a):"nad horyzontem błyska się i słychać szczęk" BIMu
niestety coraz więcej takich "udanych" architektów spotykam

Oni próbują, i całe szczęście, używać czegoś czego większość z nas też będzie używać.
Branżyści też, bez względu na to czy się to im podoba czy nie.
akor

Te bimy to jak na razie wyładowania stratosferyczne. Architekci bez względu na to czy im się to podoba czy nie w przypadku gryzienia się zabawek i braku możliwości zabibimowania projektu powinni udostępniać podkłady umożliwiające pracę tym dla nich prawie niepotrzebnym branżystom. Naszym wspólnym dziełem powinna być czytelna i jednoznaczna dokumentacja wykonawcza a z tym jest z roku na rok coraz gorzej. Czasem zdarza mi się przeglądać projekty budowlane przetargów publicznych. Wcale mine nie dziwi że "biedne" urzędniki muszą odpowiadać na 100 zapytań do przetargu. Kolejny unieważniony , bo ... ofert nie było. Czemu? Bo Zdzichu jak zobaczył dokumentację i że ryczałtowe rozliczenie to poszedł na wódę..Pozdrawiam ciepło
asa
P.S.
Mam nadzieję że nie odniosłeś po tych moich porannych wynurzeniach przy kawie, że jestem przeciwnikiem BIM'ów. Tak nie jest. Przeciwnikiem jestem przede wszystkim 100% cena w zamówieniach publicznych bo to rodzi patologie i brak możliwości rozwoju bonów ;-). Za literówki przepraszam bo mobilne mi nie służą a tak na koniec proszę Was branżyci i
i architekci szanujmy się wzajemnie i ułatwiamy sobie pracę.
asa
 
Posty: 580
Dołączył(a): lut 18, 2007 20:01

Re: Jak usunąć hatch w blokach w podkładach z archicad

Postprzez akor » sty 24, 2019 11:42

Ostatnie zdanie popieram w 100, może nawet 150%.

pozdrawiam
akor

ps
a wracając do BiMu, początki zawsze są trudne, a teraz jesteśmy wg mnie w początkowym okresie stanu przejściowego do BIM
akor
 
Posty: 603
Dołączył(a): cze 25, 2010 21:17

Re: Jak usunąć hatch w blokach w podkładach z archicad

Postprzez asa » sty 24, 2019 14:02

akor napisał(a):Ostatnie zdanie popieram w 100, może nawet 150%.

pozdrawiam
akor

ps
a wracając do BiMu, początki zawsze są trudne, a teraz jesteśmy wg mnie w początkowym okresie stanu przejściowego do BIM

Zaczęło się od kreskowań w blokach a skończyliśmy na bimach ;), ale wszystko sprowadza się do tego, że projektowanie to jedna wielka pętla z warunkiem "czy już jest dobrze" zależnym od wielu branż w równej mierze. Sztuczna walka między architektami a resztą branż podsycana jeszcze przez prężną ich izbę (taki architekt po 5 latach studiów prawdopodobnie będzie mógł uzyskać uprawnienia projektowe - proponowana poprawka do zmian w Prawie Budowlanym), powoduje tyle zamieszania i waśni że zamiast pętli projektowej gdzie każdy musi ustąpić po trosze by spełnić warunek główny, robi się ...
W sumie bimy mogą zmusić do tego by warunek główny został spełniony, tak samo jak wzajemny szacunek i zrozumienie.
Pozdrawiam ciepło
asa
P.S.
Na razie w bimach to widzę kupę marketingu w celu wciśnięcia czasem drogiego produktu. Ważne by było jak najwięcej wciskających bo to dla nas będzie korzystne ;)
asa
 
Posty: 580
Dołączył(a): lut 18, 2007 20:01

Następna strona

Powrót do AutoCAD

Kto przegląda forum

Użytkownicy przeglądający ten dział: Brak zidentyfikowanych użytkowników